<?php

namespace controllers;

use \Exception;
use \PDOException;
use models\ModelPlayer;

class ControllerUserPlayers
{
    private $mdPlayer;

    private $twig;
    private $vues;

    function __construct()
    {
        global $vues, $twig;
        session_start();
        try {

            if($_SESSION["idPlayerConnected"] != null){
                $this->twig =$twig;
                $this->vues = $vues;
    
                $this->mdPlayer = new ModelPlayer();
            }
            else {
                header("Location:/loginPlayer");
            }
        } catch (PDOException $e) {
            // Gérez les erreurs PDO ici
        } catch (Exception $e2) {
            // Gérez d'autres erreurs ici
        }
    }

    function delete($param) {
        $this->mdPlayer->deletePlayerByID($param["id"]);
        header("Location:/admin/administrators");
    }

    function add($param) {

        $nickname = $_POST['nickname'];
        $password = $_POST['password'];

        $Player = [
            'nickname' => $nickname,
            'password' => $password,
        ];

        $this->mdPlayer->addPlayer($Player);

        header("Location:/loginPlayer");
    }

    function updatemodal($param) {

        $player = $this->mdPlayer->getPlayerByID($param["id"]);

        echo $this->twig->render($this->vues["adminAdministratorsModal"], [
            'player' => $player,
        ]);
    }

    function update($param) {

        $id = $_POST['id'];
        $username = $_POST['username'];
        $password = $_POST['password'];

        $Admin = [
            'username' => $username,
            'password' => $password,
        ];

        $this->mdPlayer->updatePlayer($id,$Admin);

        header("Location:/admin/administrators");
    }
}